package cn.ibizlab.businesscentral.core.odoo_gamification.client;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.web.bind.annotation.*;
import cn.ibizlab.businesscentral.core.odoo_gamification.domain.Gamification_challenge;
import cn.ibizlab.businesscentral.core.odoo_gamification.filter.Gamification_challengeSearchContext;
import org.springframework.stereotype.Component;

/**
 * 实体[gamification_challenge] 服务对象接口
 */
@Component
public class gamification_challengeFallback implements gamification_challengeFeignClient{

    public Gamification_challenge create(Gamification_challenge gamification_challenge){
            return null;
     }
    public Boolean createBatch(List<Gamification_challenge> gamification_challenges){
            return false;
     }


    public Page<Gamification_challenge> search(Gamification_challengeSearchContext context){
            return null;
     }


    public Gamification_challenge update(Long id, Gamification_challenge gamification_challenge){
            return null;
     }
    public Boolean updateBatch(List<Gamification_challenge> gamification_challenges){
            return false;
     }


    public Gamification_challenge get(Long id){
            return null;
     }


    public Boolean remove(Long id){
            return false;
     }
    public Boolean removeBatch(Collection<Long> idList){
            return false;
     }



    public Page<Gamification_challenge> select(){
            return null;
     }

}
